# Generated by Django 5.0.3 on 2024-03-18 15:55

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Equipamento',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('setup', models.CharField(choices=[('D', 'Desktop'), ('N', 'Notebook'), ('P', 'Particular'), ('E', 'Estoque')], default='E', max_length=1)),
                ('service_tag', models.CharField(max_length=15)),
                ('armazenamento', models.CharField(max_length=15)),
                ('memoria', models.CharField(max_length=5)),
                ('processador', models.CharField(max_length=10)),
                ('modelo', models.CharField(max_length=15)),
                ('data_da_compra', models.DateField()),
                ('rmm', models.CharField(choices=[('S', 'SIM'), ('N', 'NÃO')], default='N', max_length=1)),
            ],
        ),
        migrations.CreateModel(
            name='Funcionario',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('nome', models.CharField(max_length=50)),
                ('email', models.CharField(max_length=50)),
                ('usuario', models.CharField(max_length=30)),
                ('data_inicio', models.DateField()),
                ('setor', models.CharField(choices=[('RH', 'RH'), ('FO', 'Formalização'), ('CI', 'Canal Interno'), ('CH', 'Checagem'), ('CO', 'Cobrança'), ('CM', 'Compliance'), ('JU', 'Juridico'), ('OP', 'Operação'), ('SV', 'Service'), ('TE', 'Tesouraria'), ('TI', 'TI')], default='', max_length=2)),
                ('equipamento', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='estoque.equipamento')),
            ],
        ),
    ]
